
QGIS Application - Bug report #13144

Style Categorized not working with PostGis database

2015-07-23 01:15 AM - baditaflorin -

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 21207

Description

I have a database with around 200.000.000 points, where i filtered only 2.800.000 points.

I am trying to Style them based on a attribute.

When i click on Classify, nothing happens.

I also looked at pg_stat_activity and QGIS it`s not even trying to do a query and return a result.

History

#1 - 2015-07-23 01:50 AM - baditaflorin -

- File Capture_2_8_2.PNG added

- Target version set to Future Release - High Priority

This seems like a regression, tested in 2.8.2 and it`s working.

#2 - 2015-07-23 01:51 AM - baditaflorin -

- File Capture_pgadmin2_9.PNG added

- File Capture_2_9.PNG added

#3 - 2015-07-23 02:37 AM - baditaflorin -

I have this problem also in 2.8.2 with ways

there is a hard coded limit atfer that QGIs fails directly ?

We should announce to the users then.

#4 - 2015-07-23 04:40 AM - Jürgen Fischer

- Status changed from Open to Feedback

Any output in the log?

#5 - 2015-08-20 02:46 AM - baditaflorin -
- Target version deleted (Future Release - High Priority)

I think the problem it`s because i am using a view to see the 2.800.000

#6 - 2015-12-19 02:54 PM - Giovanni Manghi

- Category set to Symbology

baditaflorin - wrote:

I think the problem it`s because i am using a view to see the 2.800.000

so you are trying to categorize a 2.8M records view from a 200M records dataset, stored on postgis?

what dataset is? what attribute are you using?

#7 - 2016-01-06 11:53 AM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

Jürgen Fischer wrote:

Any output in the log?

closing for lack of feedback, please reopen if necessary.

Files

Capture_2_8_2.PNG 10.4 KB 2015-07-22 baditaflorin -

Capture_2_9.PNG 91.4 KB 2015-07-22 baditaflorin -

Capture_pgadmin2_9.PNG 9.96 KB 2015-07-22 baditaflorin -
